package businessLogic;

import java.util.Vector;

import domain.Administrator;
import domain.RuralHouse;

public class AdminManager {
	public AdminManager (){
		
	}
	public Vector<RuralHouse> getAdditionRequests(){
		return new Vector<RuralHouse>(Administrator.getAddRequest());
	}
	
	public Vector<RuralHouse> getDeletionRequests(){
		return new Vector<RuralHouse>(Administrator.getRemoveRequest());
	}
	public void removeHouseAdditionRequests(RuralHouse house){
		Administrator.getAddRequest().remove(house);
	}
	public void removeHouseDeletionRequests(RuralHouse house){
		Administrator.getRemoveRequest().remove(house);
		}
	public boolean addAdditionRequest(RuralHouse rh){
		if(this.getAdditionRequests().contains(rh)){
			return false;
		}
		return Administrator.getAddRequest().add(rh);
	}
	public boolean addDeletionRequest(RuralHouse rh){
		if(this.getDeletionRequests().contains(rh))
			return false;
		return Administrator.getRemoveRequest().add(rh);
	}
}
