package businessLogic;

import java.rmi.RemoteException;
import java.util.Vector;

import domain.Owner;
import domain.RuralHouse;

public interface HouseManagerInterface {

	// For future implementation
	// public void modifyHouse(int houseName, Owner owner,
	// String description, String town, int nRooms, int nKitchens,
	// int nBaths, int nLivings, int nParkings);

	public void removeHouse(RuralHouse rh, Owner owner);

	public Vector<RuralHouse> getHouses(String name,String town,int nBed , int nKit, int nBath, int nPark, int nLiv) ;

	/**
	 * This method retrieves the existing  rural houses 
	 * 
	 * @return a Set of rural houses
	 */
	public Vector<RuralHouse> getAllRuralHouses()throws RemoteException,
	Exception;

	public boolean registerNewHouse(RuralHouse rh);
	
}
