package domain;

public class Account {

	private String username = "";
	private String password = "";
	private Owner owner;
	private boolean admin = false;

	public Account(String usr, String pass, boolean admin) {
		this.username = usr;
		this.password = pass;
		this.owner = null;
		this.admin = admin;

	}

	public Account(String usr, String pass, Owner ow) {
		this.username = usr;
		this.password = pass;
		this.owner = ow;
		this.admin = false;

	}

	public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public Owner getOwner() {
		return owner;
	}

	public boolean getAdmin() {
		return admin;
	}

	public void setAdmin(boolean admin) {
		this.admin = admin;
	}

}
