package domain;

public enum Districs {
	BEA("Beatriz"), GUA("Guazate"), VEG("Vegas"), FAR("Faralln"), CED("Cedro"), MOT(
			"Monte LLano"), RIN("Rincn"), PUE("Pueblo"), QUA("Quebrada Arriba"), QEB(
			"Quebrada Abajo"), TOI("Toita"), MAB("Matn Abajo"), MAA(
			"Matn Arriba"), PIE("Piedras"), PAV("Pasto Viejo"), PEA(
			"PedroAvila"), SUM("Sumido"), LAP("Lapa"), CER("Cercadillo"), JAJ(
			"JjomeAlto"), CUL("CulebrasAbajo");

	private final String longName;

	Districs(String longName) {
		this.longName = longName;
	}

	public static String[] longNames() {
		String[] result = new String[Districs.values().length];
		for (Districs d : Districs.values()) {
			result[d.ordinal()] = d.longName;
		}
		return result;

	}
}
